Package: org.codehaus.groovy.antlr

## [Java] Class AntlrASTProcessSnippets

- org.codehaus.groovy.antlr.AntlrASTProcessSnippets

- All Implemented Interfaces and Traits:
    AntlrASTProcessor

      public class AntlrASTProcessSnippets
      extends Object

  Process to decorate antlr AST with ending line/col info, and if possible the snippet of source from the start/end line/col for each node.

  Authors:
    Jeremy Rayner
  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AntlrASTProcessSnippets ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `AST` | `process(AST t)` decorate antlr AST with ending line/col info, and if possible the snippet of source from the start/end line/col for each node.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public AntlrASTProcessSnippets()

  - ### Method Detail

    - #### public AST process(AST t)

      decorate antlr AST with ending line/col info, and if possible the snippet of source from the start/end line/col for each node.

      Parameters:
        `t` - the AST to decorate
      Returns:
        the decorated AST